public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/smmap2/
@ 2017-05-25 10:09 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2017-05-25 10:09 UTC (permalink / raw
  To: gentoo-commits

commit:     3a1f74205d9bc8a2499707f55b8eeda297de2ab3
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Thu May 25 09:05:04 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 25 10:09:12 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a1f7420

dev-python/smmap2: A sliding window memory map manager

Smmap wraps an interface around mmap and tracks the mapped files as
well as the amount of clients who use it. If the system runs out of
resources, or if a memory limit is reached, it will automatically
unload unused maps to allow continued operation.

Required to bump dev-python/gitdb (now renamed to gitdb2).

Bug: https://bugs.gentoo.org/619508
Closes: https://github.com/gentoo/gentoo/pull/4740
Package-Manager: Portage-2.3.5, Repoman-2.3.1

 dev-python/smmap2/Manifest            |  1 +
 dev-python/smmap2/metadata.xml        | 12 ++++++++++++
 dev-python/smmap2/smmap2-2.0.1.ebuild | 30 ++++++++++++++++++++++++++++++
 3 files changed, 43 insertions(+)

diff --git a/dev-python/smmap2/Manifest b/dev-python/smmap2/Manifest
new file mode 100644
index 00000000000..27e0f964b8a
--- /dev/null
+++ b/dev-python/smmap2/Manifest
@@ -0,0 +1 @@
+DIST smmap2-2.0.1.tar.gz 21948 SHA256 5c9fd3ac4a30b85d041a8bd3779e16aa704a161991e74b9a46692bc368e68752 SHA512 7c8d27c06befdabf65049e5e0bac5beb07c19ff398a343d953120b9cb1c9ed203232012f4b12180af20fa0dde8feb0d6e8af3e389932407688bcc345548f2501 WHIRLPOOL 973d82e6cd679a82189c617469cb4d749f12d56f8aa0d0cdac9177fb09ae71c3986200730a1b320479a4ee87e9796602f17aadf5b2e12f29d0e950ec9ebcbbbf

diff --git a/dev-python/smmap2/metadata.xml b/dev-python/smmap2/metadata.xml
new file mode 100644
index 00000000000..8c3e7214bd4
--- /dev/null
+++ b/dev-python/smmap2/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="project">
+    <email>python@gentoo.org</email>
+    <name>Python</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="pypi">smmap2</remote-id>
+    <remote-id type="github">gitpython-developers/smmap</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-python/smmap2/smmap2-2.0.1.ebuild b/dev-python/smmap2/smmap2-2.0.1.ebuild
new file mode 100644
index 00000000000..522ebe5d9e3
--- /dev/null
+++ b/dev-python/smmap2/smmap2-2.0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of a sliding window memory map manager"
+HOMEPAGE="
+	https://pypi.python.org/pypi/smmap2
+	https://github.com/gitpython-developers/smmap"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+	)"
+RDEPEND=""
+
+python_test() {
+	nosetests -v || die "tests failed under ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/smmap2/
@ 2017-05-29 13:29 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2017-05-29 13:29 UTC (permalink / raw
  To: gentoo-commits

commit:     88235a1fc30d442e0b7ec3681a0a54966ec2b2e8
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Fri May 26 10:22:44 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 29 13:20:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88235a1f

dev-python/smmap2: Prevent package to be installed parallel to smmap

Also the core package name was changed to smmap2, the package is still
installed/imported as smmap.

Closes: https://github.com/gentoo/gentoo/pull/4768
Package-Manager: Portage-2.3.5, Repoman-2.3.1

 dev-python/smmap2/{smmap2-2.0.1.ebuild => smmap2-2.0.1-r1.ebuild} | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dev-python/smmap2/smmap2-2.0.1.ebuild b/dev-python/smmap2/smmap2-2.0.1-r1.ebuild
similarity index 93%
rename from dev-python/smmap2/smmap2-2.0.1.ebuild
rename to dev-python/smmap2/smmap2-2.0.1-r1.ebuild
index 522ebe5d9e3..27eb3c7208c 100644
--- a/dev-python/smmap2/smmap2-2.0.1.ebuild
+++ b/dev-python/smmap2/smmap2-2.0.1-r1.ebuild
@@ -23,7 +23,8 @@ DEPEND="
 	test? (
 		dev-python/nose[${PYTHON_USEDEP}]
 	)"
-RDEPEND=""
+RDEPEND="
+	!dev-python/smmap[${PYTHON_USEDEP}]"
 
 python_test() {
 	nosetests -v || die "tests failed under ${EPYTHON}"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/smmap2/
@ 2017-07-30  9:34 David Seifert
  0 siblings, 0 replies; 6+ messages in thread
From: David Seifert @ 2017-07-30  9:34 UTC (permalink / raw
  To: gentoo-commits

commit:     23ec596abdbe08202da0c2e16ad385c0c43f79a2
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Mon Jul 24 07:54:05 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jul 30 09:34:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23ec596a

dev-python/smmap2: Version bump to 2.0.3

Package-Manager: Portage-2.3.6, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/5197

 dev-python/smmap2/Manifest            |  1 +
 dev-python/smmap2/smmap2-2.0.3.ebuild | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/smmap2/Manifest b/dev-python/smmap2/Manifest
index 27e0f964b8a..68fb163e524 100644
--- a/dev-python/smmap2/Manifest
+++ b/dev-python/smmap2/Manifest
@@ -1 +1,2 @@
 DIST smmap2-2.0.1.tar.gz 21948 SHA256 5c9fd3ac4a30b85d041a8bd3779e16aa704a161991e74b9a46692bc368e68752 SHA512 7c8d27c06befdabf65049e5e0bac5beb07c19ff398a343d953120b9cb1c9ed203232012f4b12180af20fa0dde8feb0d6e8af3e389932407688bcc345548f2501 WHIRLPOOL 973d82e6cd679a82189c617469cb4d749f12d56f8aa0d0cdac9177fb09ae71c3986200730a1b320479a4ee87e9796602f17aadf5b2e12f29d0e950ec9ebcbbbf
+DIST smmap2-2.0.3.tar.gz 23049 SHA256 c7530db63f15f09f8251094b22091298e82bf6c699a6b8344aaaef3f2e1276c3 SHA512 f5623247fbdb6b0e94bbfe7104ffd84ee4563a0c32781256d92d46fd23e05280d7a0e3952a573b6834e253e9b68175784babc36d91ab61edf6d0d072830e1fde WHIRLPOOL ac3c7d934130ef71e54c03fd328c54a598d041eb0e74abae80832e2bb0b7a7dbc9f466f348d760cf73df19e491e959fe5b81f4e8eac41c93ebdfc91133c702f2

diff --git a/dev-python/smmap2/smmap2-2.0.3.ebuild b/dev-python/smmap2/smmap2-2.0.3.ebuild
new file mode 100644
index 00000000000..27eb3c7208c
--- /dev/null
+++ b/dev-python/smmap2/smmap2-2.0.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="A pure python implementation of a sliding window memory map manager"
+HOMEPAGE="
+	https://pypi.python.org/pypi/smmap2
+	https://github.com/gitpython-developers/smmap"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+	)"
+RDEPEND="
+	!dev-python/smmap[${PYTHON_USEDEP}]"
+
+python_test() {
+	nosetests -v || die "tests failed under ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/smmap2/
@ 2018-02-13 19:00 Matt Thode
  0 siblings, 0 replies; 6+ messages in thread
From: Matt Thode @ 2018-02-13 19:00 UTC (permalink / raw
  To: gentoo-commits

commit:     f460eef80efedc67dfdb0033f5628d6f96846a52
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 13 18:57:44 2018 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Tue Feb 13 19:00:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f460eef8

dev-python/smmap2: adding arm64 keyword for git-python

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-python/smmap2/smmap2-2.0.3.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/smmap2/smmap2-2.0.3.ebuild b/dev-python/smmap2/smmap2-2.0.3.ebuild
index 27eb3c7208c..c525924ac6d 100644
--- a/dev-python/smmap2/smmap2-2.0.3.ebuild
+++ b/dev-python/smmap2/smmap2-2.0.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -14,7 +14,7 @@ HOMEPAGE="
 SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="BSD"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
 SLOT="0"
 IUSE="test"
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/smmap2/
@ 2020-02-06  6:18 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-02-06  6:18 UTC (permalink / raw
  To: gentoo-commits

commit:     2053d22bf7f100fe98085f7c75257cc6e7f9963c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 06:02:00 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 06:16:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2053d22b

dev-python/smmap2: Remove py2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/smmap2/smmap2-2.0.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/smmap2/smmap2-2.0.3.ebuild b/dev-python/smmap2/smmap2-2.0.3.ebuild
index f1bdf999cb6..4a29653bfc6 100644
--- a/dev-python/smmap2/smmap2-2.0.3.ebuild
+++ b/dev-python/smmap2/smmap2-2.0.3.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=6
 
-PYTHON_COMPAT=( python2_7 python3_{6,7} )
+PYTHON_COMPAT=( python3_{6,7} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 6+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/smmap2/
@ 2020-03-11 21:19 Michał Górny
  0 siblings, 0 replies; 6+ messages in thread
From: Michał Górny @ 2020-03-11 21:19 UTC (permalink / raw
  To: gentoo-commits

commit:     52386505afcfb77f1c091c314db7882058c9402b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 11 20:18:56 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 11 21:17:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52386505

dev-python/smmap2: Stabilize 2.0.3 on x86 (ALLARCHES)

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/smmap2/smmap2-2.0.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/smmap2/smmap2-2.0.3.ebuild b/dev-python/smmap2/smmap2-2.0.3.ebuild
index 4a29653bfc6..f526711c7d9 100644
--- a/dev-python/smmap2/smmap2-2.0.3.ebuild
+++ b/dev-python/smmap2/smmap2-2.0.3.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="
 SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="BSD"
-KEYWORDS="amd64 arm64 ~x86"
+KEYWORDS="amd64 arm64 x86"
 SLOT="0"
 IUSE="test"
 RESTRICT="!test? ( test )"


^ permalink raw reply related	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2020-03-11 21:19 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-02-13 19:00 [gentoo-commits] repo/gentoo:master commit in: dev-python/smmap2/ Matt Thode
  -- strict thread matches above, loose matches on Subject: below --
2020-03-11 21:19 Michał Górny
2020-02-06  6:18 Michał Górny
2017-07-30  9:34 David Seifert
2017-05-29 13:29 Michał Górny
2017-05-25 10:09 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox